### Hierarchy

- VerifyManagerImpl

### Implements

- VerifyManager

## Index

### Constructors

- constructor

### Methods

- getAccountsByPublicKeys
- getOfferSearchesByIds

## Constructors

### constructor

- new VerifyManagerImpl(verifyRepository: VerifyRepository): VerifyManagerImpl

- - Defined in manager/VerifyManagerImpl.ts:8

  #### Parameters

  - ##### verifyRepository: VerifyRepository

  #### Returns VerifyManagerImpl

## Methods

### getAccountsByPublicKeys

- getAccountsByPublicKeys(publicKeys: string[]): Promise<Account[]>

- Implementation of VerifyManager.getAccountsByPublicKeys

  - Defined in manager/VerifyManagerImpl.ts:17

  #### Parameters

  - ##### publicKeys: string[]

  #### Returns Promise<Account[]>

### getOfferSearchesByIds

- getOfferSearchesByIds(ids: number[]): Promise<OfferSearch[]>

- Implementation of VerifyManager.getOfferSearchesByIds

  - Defined in manager/VerifyManagerImpl.ts:14

  #### Parameters

  - ##### ids: number[]

  #### Returns Promise<OfferSearch[]>

Generated using TypeDoc